aboutsummaryrefslogtreecommitdiffstats
path: root/testcases/features/sfc/server_presetup_CI.bash
diff options
context:
space:
mode:
authorManuel Buil <manuel.buil@ericsson.com>2016-07-27 18:03:55 +0200
committerManuel Buil <manuel.buil@ericsson.com>2016-07-28 14:55:19 +0200
commitf80d9312389dc97a570e5fbcde3491080cc9e307 (patch)
tree44ffbcaf4c7e4517c982dd9bdcf1b44b372f8ddd /testcases/features/sfc/server_presetup_CI.bash
parent748b183ff97ad7ad259a76dcef348a7b2c2fc00a (diff)
Scripts added to enable the SFC-ODL test in CI
We need to install Tacker in the server before running the test cases Change-Id: Id7daee80627bc71c335fcb3efa5d389594641b65 Signed-off-by: Manuel Buil <manuel.buil@ericsson.com>
Diffstat (limited to 'testcases/features/sfc/server_presetup_CI.bash')
-rwxr-xr-xtestcases/features/sfc/server_presetup_CI.bash13
1 files changed, 13 insertions, 0 deletions
diff --git a/testcases/features/sfc/server_presetup_CI.bash b/testcases/features/sfc/server_presetup_CI.bash
new file mode 100755
index 000000000..bc4f3be9c
--- /dev/null
+++ b/testcases/features/sfc/server_presetup_CI.bash
@@ -0,0 +1,13 @@
+#!/bin/bash
+set -e
+ssh_options='-o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no'
+BASEDIR=`dirname $0`
+INSTALLER_IP=${INSTALLER_IP:-10.20.0.2}
+
+ip=`sshpass -p r00tme ssh $ssh_options root@10.20.0.2 'fuel node'|grep controller|awk '{print $10}' | head -1`
+echo $ip
+sshpass -p r00tme scp set-up-tacker.sh ${INSTALLER_IP}:/root
+sshpass -p r00tme ssh $ssh_options root@${INSTALLER_IP} 'scp set-up-tacker.sh '"$ip"':/root'
+sshpass -p r00tme ssh $ssh_options root@${INSTALLER_IP} 'ssh root@'"$ip"' bash set-up-tacker.sh'
+sshpass -p r00tme ssh $ssh_options root@${INSTALLER_IP} 'scp '"$ip"':/root/tackerc .'
+sshpass -p r00tme scp ${INSTALLER_IP}:/root/tackerc $BASEDIR